Commit 1b58a20c authored by Jean-Baptiste Kempf's avatar Jean-Baptiste Kempf
Browse files

Contribs: try to maintain X.5 runtime compatibility


Signed-off-by: Jean-Baptiste Kempf's avatarJean-Baptiste Kempf <jb@videolan.org>
parent 1720849c
......@@ -107,6 +107,8 @@ endif
endif
ifdef HAVE_MACOSX
OSX_VERSION=10.6
MIN_OSX_VERSION=10.5
MACOSX_SDK=/Developer/SDKs/MacOSX$(OSX_VERSION).sdk
CC=gcc-4.2
CXX=g++-4.2
......@@ -114,8 +116,8 @@ AR=ar
LD=ld
STRIP=strip
RANLIB=ranlib
EXTRA_CFLAGS += -isysroot $(MACOSX_SDK) -mmacosx-version-min=$(OSX_VERSION)
EXTRA_LDFLAGS += -Wl,-syslibroot,$(MACOSX_SDK) -mmacosx-version-min=$(OSX_VERSION) -isysroot $(MACOSX_SDK)
EXTRA_CFLAGS += -isysroot $(MACOSX_SDK) -mmacosx-version-min=$(MIN_OSX_VERSION) -DMACOSX_DEPLOYMENT_TARGET=$(MIN_OSX_VERSION)
EXTRA_LDFLAGS += -Wl,-syslibroot,$(MACOSX_SDK) -mmacosx-version-min=$(MIN_OSX_VERSION) -isysroot $(MACOSX_SDK) -DMACOSX_DEPLOYMENT_TARGET=$(MIN_OSX_VERSION)
#TODO ppc
ifeq ($(ARCH),x86_64)
EXTRA_CFLAGS += -m64
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment